python-gmsh_3.0.6+dfsg1-1_i386.deb


Advertisement

Description

python-gmsh - Three-dimensional finite element mesh generator. Python wrapper

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-gmsh_3.0.6+dfsg1-1_i386.deb
Package name python-gmsh
Package version 3.0.6+dfsg1
Package release 1
Package architecture i386
Package type deb
Category universe/python
Homepage http://www.geuz.org/gmsh/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 1.27 MB
Installed size 9.19 MB
Gmsh is a 3D finite element grid generator with a build-in CAD engine
and post-processor. Its design goal is to provide a fast, light and
user-friendly meshing tool with parametric input and advanced
visualization capabilities. Gmsh is built around four modules: geometry,
mesh, solver and post-processing. The specification of any input to
these modules is done either interactively using the graphical user
interface or in ASCII text files using Gmsh's own scripting language.
See Gmsh's reference manual for a more thorough overview of Gmsh's
capabilities.
This package contains the Python wrapper for gmsh

Alternatives

Package Version Architecture Repository
python-gmsh_3.0.6+dfsg1-1_amd64.deb 3.0.6+dfsg1 amd64 Ubuntu Universe
python-gmsh - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libgmsh3 = 3.0.6+dfsg1-1
libpython2.7 >= 2.7
libstdc++6 >= 5.2
python << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-gmsh_3.0.6+dfsg1-1_i386.deb
Source Package gmsh

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gmsh deb package:
    # sudo apt-get install python-gmsh

Files

Path
/usr/lib/python2.7/dist-packages/gmshpy/__init__.py
/usr/lib/python2.7/dist-packages/gmshpy/_gmshCommon.so
/usr/lib/python2.7/dist-packages/gmshpy/_gmshGeo.so
/usr/lib/python2.7/dist-packages/gmshpy/_gmshMesh.so
/usr/lib/python2.7/dist-packages/gmshpy/_gmshNumeric.so
/usr/lib/python2.7/dist-packages/gmshpy/_gmshPost.so
/usr/lib/python2.7/dist-packages/gmshpy/_gmshSolver.so
/usr/lib/python2.7/dist-packages/gmshpy/gmshCommon.py
/usr/lib/python2.7/dist-packages/gmshpy/gmshGeo.py
/usr/lib/python2.7/dist-packages/gmshpy/gmshMesh.py
/usr/lib/python2.7/dist-packages/gmshpy/gmshNumeric.py
/usr/lib/python2.7/dist-packages/gmshpy/gmshPost.py
/usr/lib/python2.7/dist-packages/gmshpy/gmshSolver.py
/usr/lib/python2.7/dist-packages/onelab/onelab.py
/usr/share/doc/python-gmsh/changelog.Debian.gz
/usr/share/doc/python-gmsh/copyright

Changelog

2017-11-07 - Anton Gladky <gladk@debian.org>
gmsh (3.0.6+dfsg1-1) unstable; urgency=medium
[ Nico Schlömer ]
* [ea6f1b0] New upstream version 3.0.6+dfsg1
* [a3c9b4e] remove upstreamed patches
* [b80ccf1] add patch for install dirs
* [a1bcd56] use all hardening options
* [56a5166] apply multi-arch hints
[ Anton Gladky ]
* [b729c42] Add Breaks/Replaces for libjava-gmsh3. (Closes: #880214)
* [c5a5ac0] Apply cme fix dpkg
2017-10-21 - Anton Gladky <gladk@debian.org>
gmsh (3.0.5+dfsg1-1) unstable; urgency=medium
* [9198f30] Update d/copyright
* [72a75ef] Remove testsuite-field in d/copyright
* [594797c] Rename libgmsh2v5 to libgmsh3
* [1e5cc6c] Drop gmsh.css not to cause a privacy breach
* Upload into unstable
2017-10-18 - Anton Gladky <gladk@debian.org>
gmsh (3.0.5+dfsg1-1~exp1) experimental; urgency=medium
[ Nico Schlömer ]
* [5e7b80b] fix custom test (in preparation for gmsh 3)
* [c1d17e5] New upstream version 3.0.5+dfsg1
* [c150988] RPATH fix
* [ae51946] remove `Multi-Arch: foreign`
* [32757fd] bump standards version (no changes necessary)
* [a0834d6, 76fccb7] copyright updates
* [32757fd] update standards-version to 4.1.0
* [a0834d6] copyright updates
* [c776245] update license patch
* [03cf825] disable OpenCascade (version requirement not fulfilled)
* [5c9ff4d] refresh patches
* [172d478] don't disable OCC (OCE 0.18.2 now in unstable)
[ Anton Gladky ]
* [8f2376f] Refresh patches
* [8190637] Fix wrapper for Java.
* [859624a] Remove deprecated patches
* [af4a10f] Use compat level 10
* [e14c59e] Set Standards-Version: 4.1.1
* [b123a79] Change section for libjava-gmsh2
2016-12-30 - Anton Gladky <gladk@debian.org>
gmsh (2.15.0+dfsg1-3) unstable; urgency=medium
* [a9cb0c4] Disable autotest on mips64el (unstable).
2016-12-27 - Anton Gladky <gladk@debian.org>
gmsh (2.15.0+dfsg1-2) unstable; urgency=medium
[ Graham Inggs ]
* [1b78bda] Replace OMPI_MCA_orte_rsh_agent by OMPI_MCA_plm_rsh_agent for autopkgtests too
* [611f7b5] Allow stderr output in the autopkgtests, see #814451
[ Anton Gladky ]
* [a720f68] Enable CGNS. (Closes: #845994)
2016-12-09 - Anton Gladky <gladk@debian.org>
gmsh (2.15.0+dfsg1-1) unstable; urgency=medium
* [19d1241] New upstream version 2.15.0+dfsg1
* [ed8febe] Refresh patches.
2016-11-05 - Anton Gladky <gladk@debian.org>
gmsh (2.14.1+dfsg1-1) unstable; urgency=medium
* [4da51dc] Refresh patches.
* [6a5fb12] New upstream version 2.14.1+dfsg1
2016-10-20 - Anton Gladky <gladk@debian.org>
gmsh (2.14.0+dfsg1-1) unstable; urgency=medium
* [40b8734] New upstream version 2.14.0+dfsg1
* [9e64375] Refresh patches.
* [54d9893] Apply cme fix dpkg.
2016-08-21 - Anton Gladky <gladk@debian.org>
gmsh (2.13.2+dfsg1-1) unstable; urgency=medium
* [5ea8a90] Imported Upstream version 2.13.2+dfsg1
* [22e35d5] Refresh patches.
* [0e252b2] Remove Christophe`s name from uploaders. (Closes: #835004)
2016-08-11 - Anton Gladky <gladk@debian.org>
gmsh (2.13.1+dfsg1-1) unstable; urgency=medium
* [28f4474] d/copyright.
* [e5df2d8] Imported Upstream version 2.13.1+dfsg1
* [ca54124] Update/refresh patches.
* [2773007] Enable MPI on arm* and mips*. (Closes: #824541)
* [37117dd] Replace OMPI_MCA_orte_rsh_agent by OMPI_MCA_plm_rsh_agent.
Thanks Graham.

See Also

Package Description
python-gnatpython-doc_54-3build1_all.deb Python framework to ease development of test suites (examples)
python-gnatpython_54-3build1_i386.deb Python framework to ease development of test suites
python-gnocchi_4.2.0-0ubuntu5_all.deb Metric as a Service - Python 2.x
python-gnome2-dev_2.28.1+dfsg-1.2_all.deb Python bindings for the GNOME desktop environment - development files
python-gnome2-doc_2.28.1+dfsg-1.2_all.deb Python bindings for the GNOME desktop environment
python-gnome2_2.28.1+dfsg-1.2_i386.deb Python bindings for the GNOME desktop environment
python-gnucash_2.6.19-1_i386.deb Gnucash interface for Python
python-gnupg_0.4.1-1ubuntu1_all.deb Python wrapper for the GNU Privacy Guard (Python 2.x)
python-gnuplot_1.8-6_all.deb Python interface to the gnuplot plotting program
python-gnutls_3.0.0-1_i386.deb Python wrapper for the GNUTLS library
python-gobject-2-dev_2.28.6-12ubuntu3_all.deb development headers for the static GObject Python bindings
python-gobject-2_2.28.6-12ubuntu3_i386.deb deprecated static Python bindings for the GObject library
python-gobject_3.26.1-2_all.deb Python 2.x bindings for GObject - transitional package
python-goocalendar_0.3-2_all.deb Calendar widget for GTK+ using PyGoocanvas (Python 2)
python-google-apputils_0.4.1-1ubuntu3_all.deb Google Application Utilities - Python 2.x
Advertisement
Advertisement